pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH > Struct Template Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/octree/src/cuda/octree_iterator.hpp>`

## Public Types

using | Storage = int[STACK_DEPTH][CTA_SIZE]

## Public Member Functions

__device__ __forceinline__ | OctreeIteratorDevice (Storage &storage_arg)
__device__ __forceinline__ void | gotoNextLevel (int first, int len)
__device__ __forceinline__ int | operator* () const
__device__ __forceinline__ void | operator++ ()

## Public Attributes

int | level
Storage & | storage

## Detailed Description

### template<int CTA_SIZE, int STACK_DEPTH>
struct pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >

Definition at line 46 of file octree_iterator.hpp.

## Member Typedef Documentation

## Storage

template<int CTA_SIZE, int STACK_DEPTH>

using pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::Storage = int[STACK_DEPTH][CTA_SIZE]

Definition at line 48 of file octree_iterator.hpp.

## Constructor & Destructor Documentation

## OctreeIteratorDevice()

template<int CTA_SIZE, int STACK_DEPTH>

__device__ __forceinline__ pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::OctreeIteratorDevice | ( | Storage & | storage_arg | ) |

inline

Definition at line 53 of file octree_iterator.hpp.

References pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::level, and pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::storage.

## Member Function Documentation

## gotoNextLevel()

template<int CTA_SIZE, int STACK_DEPTH>

__device__ __forceinline__ void pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::gotoNextLevel | ( | int | first,
|  | int | len
| ) |  |

inline

Definition at line 59 of file octree_iterator.hpp.

References pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::level, and pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::storage.

## operator*()

template<int CTA_SIZE, int STACK_DEPTH>

__device__ __forceinline__ int pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::operator* | ( |  | ) | const

inline

Definition at line 65 of file octree_iterator.hpp.

References pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::level, and pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::storage.

## operator++()

template<int CTA_SIZE, int STACK_DEPTH>

__device__ __forceinline__ void pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::operator++ | ( |  | ) |

inline

Definition at line 70 of file octree_iterator.hpp.

References pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::level, and pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::storage.

## Member Data Documentation

## level

template<int CTA_SIZE, int STACK_DEPTH>

int pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::level

Definition at line 50 of file octree_iterator.hpp.

Referenced by pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::gotoNextLevel(), pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::OctreeIteratorDevice(), pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::operator*(), and pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::operator++().

## storage

template<int CTA_SIZE, int STACK_DEPTH>

Storage& pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::storage

Definition at line 51 of file octree_iterator.hpp.

Referenced by pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::gotoNextLevel(), pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::OctreeIteratorDevice(), pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::operator*(), and pcl::device::OctreeIteratorDevice< CTA_SIZE, STACK_DEPTH >::operator++().

The documentation for this struct was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/octree/src/cuda/octree_iterator.hpp